# $Revision: 1.39 $, $Date: 2008-05-29 17:54:17 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	XML
%define		pnam	Encoding
Summary:	XML::Encoding - module for parsing XML encoding maps
Summary(pl.UTF-8):	XML::Encoding - moduł analizujący mapy kodowań XML
Name:		perl-XML-Encoding
Version:	1.01
Release:	26
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	a2ed80f2e1e95de518ca131044dff650
BuildRequires:	perl-XML-Parser >= 2.18
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module, which is built as a subclass of XML::Parser, provides a
parser for encoding map files, which are XML files. The file
maps/encmap.dtd in the distribution describes the structure of these
files. Calling a parse method returns the name of the encoding map
(obtained from the name attribute of the root element). The contents
of the map are processed through the callback functions push_prefix,
pop_prefix, and range_set.

%description -l pl.UTF-8
Ten moduł, stworzony jako podklasa XML::Parser, udostępnia analizator
dla plików map kodowań będących plikami XML. Plik maps/encmap.dtd
zawarty w pakiecie opisuje strukturę tych plików. Wywołanie metody
parse zwraca nazwę mapy kodowania (otrzymaną z atrybutu name elementu
głównego). Zawartość mapy jest przetwarzana poprzez funkcje wywołań
zwrotnych (callback) push_prefix, pop_prefix i range_set.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README maps
%attr(755,root,root) %{_bindir}/*
%{perl_vendorlib}/XML/Encoding.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-XML-Encoding.spec,v $
Revision 1.39  2008-05-29 17:54:17  glen
- release 26

Revision 1.38  2007-02-13 08:06:38  glen
- tabs in preamble

Revision 1.37  2007/02/12 01:06:23  baggins
- converted to UTF-8

Revision 1.36  2006/03/27 10:29:19  qboosh
- informative summaries/descriptions

Revision 1.35  2004/11/03 22:30:55  paladine
- formatting

Revision 1.34  2004/06/05 18:10:50  radek
- cosmetic unification: s/^%define\s+(pdir|pnam)\s+/%define\t$1\t/

Revision 1.33  2004/05/07 01:01:03  ankry
- rel. 11

Revision 1.32  2004/05/06 18:01:33  ankry
- fixed perl-devel BR

Revision 1.31  2004/05/04 23:32:33  ankry
- tests added, license fix, cosmetics

Revision 1.30  2004/02/18 16:27:03  qboosh
- s/no/nb/ in Summary langs

Revision 1.29  2003/09/09 10:24:54  ankry
- spaces -> tab

Revision 1.28  2003/08/18 08:09:27  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.27  2003/05/28 13:01:13  malekith
- massive attack: source-md5

Revision 1.26  2003/05/25 06:25:10  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.25  2003/04/11 18:59:42  radek
- BR: perl-devel; do not BR: perl

Revision 1.24  2003/03/01 22:09:56  radek
- should be ready for perl-5.8.0; release++

Revision 1.23  2003/02/25 00:42:36  radek
- use the __perl macro

Revision 1.22  2003/02/18 15:39:12  ankry
- massive attack: change CPAN URLs

Revision 1.21  2002/07/16 11:38:37  ankry
- translations, cleaning
- release 9

Revision 1.20  2002/07/13 18:38:42  qboosh
- new %%doc, cosmetics

Revision 1.19  2002/07/10 09:02:54  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.18  2002/05/11 14:28:14  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.17  2002/02/25 10:35:40  depesz
cleanup; revision++

Revision 1.16  2002/02/22 23:29:34  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.15  2002/02/13 21:51:49  kloczek
- spec adapterized.

Revision 1.14  2002/02/13 14:21:40  depesz
automatic: Source location unified, Relase Up

Revision 1.13  2002/02/10 15:38:42  depesz
adapterized

Revision 1.12  2002/01/18 02:14:34  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.11  2001/11/28 15:20:26  mis
- buildarch noarch; release++

Revision 1.10  2001/04/17 12:18:32  baggins
- release 5
- rebuild with perl 5.6.1

Revision 1.9  2001/04/14 18:00:11  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.8  2001/01/26 02:42:10  kloczek
- release 4: rebuild against perl 5.6 and use rpm automation.

Revision 1.7  2000/06/09 07:55:02  kloczek
- more %%{__make} macros.

Revision 1.6  2000/06/09 07:23:44  kloczek
- added using %%{__make} macro.

Revision 1.5  2000/05/23 18:05:26  kloczek
- spec adapterized.

Revision 1.4  2000/04/01 11:15:34  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.3  2000/03/28 16:55:02  baggins
- translated kloczkish into english

Revision 1.2  1999/11/07 09:18:48  pius
- added '%%include /usr/lib/rpm/macros.perl'
- modified BuildRequires rules

Revision 1.1  1999/10/20 19:46:49  pius
- initial release
